/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfiledata
#define headerfiledata

#include <string>
#include <vector>
#include <map>

#include "misc.h"
#include "item.h"
#include "error.h"
#include "dir.h"



class Data
{


public:



	// log file name
	std::string log_file;
	
	// 1 - minimum
	// 2 - (default)
	// 3 - maximum - all logs
	int log_level;

	// logging to stdout too
	bool log_stdout;


	// fast cgi: socket (unix domain)
	std::string fcgi_socket;

	// fast cgi: socket permissions
	int fcgi_socket_chmod;

	// fast cgi: owner of the socket
	std::string fcgi_socket_user;
	
	// fast cgi: group of the socket
	std::string fcgi_socket_group;

	std::string templates;
	std::string default_index;

	std::string db_database;
	std::string db_user;
	std::string db_pass;
	std::string base_url;
	std::string http_session_id_name;




	Dir dir;


	// if there is one item in a directory 
	// it will be showed
	// (instead of showing directory contents)
	bool one_item_is_showed;



	Data();

};




extern Data data;


#endif
